// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  modules: ['@nuxt/ui', '@sidebase/nuxt-auth'],
  css: [
  ],
  compatibilityDate: '2025-05-15',
  devtools: { enabled: true },
  ui: {
    theme: {
      colors: ['primary', 'error', 'secondary', 'info', 'success', 'warning'],
      transitions: true
    },
    fonts: false
  },
  auth: {
    globalAppMiddleware: true,
    provider: {
      type: 'authjs',
      trustHost: false,
      defaultProvider: 'default',
      addDefaultCallbackUrl: true
    },
    isEnabled: true,
    disableServerSideAuth: false,
    sessionRefresh: {
      enablePeriodically: true,
      enableOnWindowFocus: true
    },
    pages: {
      signIn: '/auth/signin'
    }
  }
})
